org.wildfly.swarm.config.elytron

## Class SimpleRoleDecoder<T extends SimpleRoleDecoder<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SimpleRoleDecoder<T>

-     public class SimpleRoleDecoder<T extends SimpleRoleDecoder<T>>
      extends Object

  Definition of a simple RoleDecoder that takes a single attribute and maps it directly to roles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRoleDecoder(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `attribute()` The name of the attribute from the identity to map directly to roles.
    `T` | `attribute(String value)` The name of the attribute from the identity to map directly to roles.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRoleDecoder

          public SimpleRoleDecoder(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### attribute

          public String attribute()

      The name of the attribute from the identity to map directly to roles.

    - #### attribute

          public T attribute(String value)

      The name of the attribute from the identity to map directly to roles.

Copyright © 2018 JBoss by Red Hat. All rights reserved.